Need help? Get answers from the docs with Omni's in-app AI! Log in to your Omni instance and open the Omni Agent in the sidebar.
curl --request PUT \
--url https://{instance}.omniapp.co/api/v1/documents/{documentId}/transfer-ownership \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "9e8719d9-276a-4964-9395-a493189a247c"
}
'{
"success": true
}Transfer ownership of a document to another user in the organization.
To successfully transfer a document:
MANAGER permissions or higher on the documentUpon success, the following occurs:
MANAGER permissions on the documentNote: Transferring to the current owner is a no-op and returns success.
curl --request PUT \
--url https://{instance}.omniapp.co/api/v1/documents/{documentId}/transfer-ownership \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "9e8719d9-276a-4964-9395-a493189a247c"
}
'{
"success": true
}Documentation Index
Fetch the complete documentation index at: https://docs.omni.co/llms.txt
Use this file to discover all available pages before exploring further.
Can be either an Organization API Key or Personal Access Token (PAT).
Include in the Authorization header as: Bearer YOUR_TOKEN
The ID of the document to transfer. To retrieve the ID, navigate to File > Document settings in the document and then click Settings. The Identifier field contains the document ID.
The membership ID of the user to transfer ownership to. This must be a valid organization member who has explicit permission on the document.
Document ownership transferred successfully.
Note: This response is also returned when transferring to the current owner.
true
Was this page helpful?